List all Line Entries in a Journal Entry
Lists all the Line Entries in a Journal Entry.
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Headers
The Teal instance ID
Path Parameters
Journal entry ID
Query Parameters
Comma-separated list of Line Entry expand paths.
transaction, ledger, journal_entry, opposing_ledger_ids, payment_applications, accrual_source Response
Successful Response
The value of the line entry in decimal dollar cents.
"31282.27999999999883584678173065185546875"
Indicates if the amount is a credit or debit.
debit, credit "credit"
The ID of the Line Entry's Ledger.
"7JRNsKwy2Lw66caxVU7WGC"
The unique ID of the object.
"XMDsKVuW4Wmi3LTW31Qw6E"
The datetime the Line Entry was created in UTC time.
"2023-02-15T06:42:18Z"
Indicates if the Line Entry can be manually added or removed from a Ledger, as dictated by the editable property on the Ledger.
true
The ID of the associated Journal Entry.
"C4ocnUQze8kDwQ3EczkZXn"
An arbitrary string on the object, useful for displaying to users.
512"Payroll#230215"
The name of the Line Entry's Ledger.
"Payroll Expense"
An arbitrary string on the object, useful for displaying to the user or for categorization.
4000"Payroll#230215"
If the Line Entry is identified as a transfer between accounts, the ID of the Line Entry in the opposing Ledger. Related guide: Auto-categorization
The ID of the associated Transaction, if one exists.
Expandable. The associated Journal Entry object.
{
"creation_date": "2023-02-15T06:42:18Z",
"creation_source": "manual",
"datetime": "2023-02-15T06:42:18Z",
"description": "Payroll#230215",
"id": "C4ocnUQze8kDwQ3EczkZXn",
"is_opening_balance": false,
"line_entry_ids": [
"XMDsKVuW4Wmi3LTW31Qw6E",
"NULcvXTkLczde32qs1rqgB"
]
}Expandable. The associated Ledger object.
{
"created_at": "2024-01-01T00:00:00",
"debit_credit": "debit",
"editable": false,
"financial_account_type": "bank_account",
"id": "7JRNsKwy2Lw66caxVU7WGC",
"is_required": false,
"name": "Pluto Checking 4242",
"report_cash_flow": true,
"sort_code": "2240",
"sub_type": "current_assets",
"type": "asset"
}Expandable. IDs of the ledgers on the other side(s) of the line entry with opposite debit/credit.
A list of all the Tags associated with the Line Entry, if any.
Expandable. The associated Transaction object, if one exists.
{
"amount": 31282.28,
"datetime": "2023-02-15T06:42:18Z",
"description": "Payroll#230215",
"id": "txn_UjL3BQnEaJtecuC7CUeDk",
"journal_entry_id": "C4ocnUQze8kDwQ3EczkZXn",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"line_entry_id": "XMDsKVuW4Wmi3LTW31Qw6E",
"personal": false,
"posted_status": "posted",
"review_status": "reviewed",
"source_account_id": "L7RR1Yz85FJoASPvPLs441"
}Payments applied to an accrual source (bill/invoice) using the Line Entry.
The accrual source linked to a line entry, if one exists.